/*  $Id: clanapp.cpp,v 1.2 2003/07/20 22:43:12 grumbel Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include <cstdlib>
#include <iostream>
#include "API/Core/System/setupcore.h"
#include "API/Application/clanapp.h"

int main(int argc, char **argv)
{
	if (CL_ClanApplication::app == NULL)
	{
		std::cout << "ClanLib: No global CL_ClanApplication instance!!!" << std::endl;
		return 255;
	}

	CL_SetupCore::init();
	int retval = CL_ClanApplication::app->main(argc, argv);
	CL_SetupCore::deinit();

	return retval;
}

CL_ClanApplication *CL_ClanApplication::app = NULL;

CL_ClanApplication::CL_ClanApplication()
{
	CL_ClanApplication::app = this;
}

CL_ClanApplication::~CL_ClanApplication()
{
	CL_ClanApplication::app = NULL;
}
